Package ch.qos.logback.core.joran.spi

# Enum ConsoleTarget

java.lang.Object
java.lang.Enum<ConsoleTarget>
ch.qos.logback.core.joran.spi.ConsoleTarget

All Implemented Interfaces:
  `Serializable`, `Comparable<ConsoleTarget>`, `java.lang.constant.Constable`

public enum ConsoleTarget extends Enum<ConsoleTarget>
The set of console output targets.

Author:
  Ruediger Dohna, Ceki Gülcü, Tom SH Liu, David Roussel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SystemErr`
`SystemOut`

## Method Summary

Modifier and Type
Method
Description
`static ConsoleTarget`
`findByName(String name)`
`String`
`getName()`
`OutputStream`
`getStream()`
`String`
`toString()`
`static ConsoleTarget`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConsoleTarget[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SystemOut

public static final ConsoleTarget SystemOut

### SystemErr

public static final ConsoleTarget SystemErr

## Method Details

### values

public static ConsoleTarget[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ConsoleTarget valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### findByName

public static ConsoleTarget findByName(String name)

### getName

public String getName()

### getStream

public OutputStream getStream()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ConsoleTarget>`